package com.kmall.admin.service.impl;

import com.kmall.admin.dao.StoreMngChangeDao;
import com.kmall.admin.entity.StoreMngChangeEntity;
import com.kmall.admin.service.StoreMngChangeService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;

/**
 * 门店库存变化表Service实现类
 *
 * @author emato
 * @email admin@qhdswl.com
 * @date 2019-03-11 10:29:49
 */
@Service("storeMngChangeService")
public class StoreMngChangeServiceImpl implements StoreMngChangeService {
    @Autowired
    private StoreMngChangeDao storeMngChangeDao;

    @Override
    public StoreMngChangeEntity queryObject(Integer id) {
        return storeMngChangeDao.queryObject(id);
    }

    @Override
    public List<StoreMngChangeEntity> queryList(Map<String, Object> map) {
        return storeMngChangeDao.queryList(map);
    }

    @Override
    public int queryTotal(Map<String, Object> map) {
        return storeMngChangeDao.queryTotal(map);
    }

    @Override
    public int save(StoreMngChangeEntity storeMngChange) {
        return storeMngChangeDao.save(storeMngChange);
    }

    @Override
    public int update(StoreMngChangeEntity storeMngChange) {
        return storeMngChangeDao.update(storeMngChange);
    }

    @Override
    public int delete(Integer id) {
        return storeMngChangeDao.delete(id);
    }

    @Override
    public int deleteBatch(Integer[]ids) {
        return storeMngChangeDao.deleteBatch(ids);
    }
}
